Share via


Failover Groups - Failover

Fails over from the current primary server to this server.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/failoverGroups/{failoverGroupName}/failover?api-version=2025-01-01

URI Parameters

Name In Required Type Description
failoverGroupName
path True

string

The name of the failover group.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

FailoverGroup

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Planned failover of a failover group

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server/failoverGroups/failover-group-test-3/failover?api-version=2025-01-01

Sample response

{
  "name": "failover-group-test-3",
  "type": "Microsoft.Sql/servers/failoverGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server/failoverGroups/failover-group-test-3",
  "location": "Japan West",
  "properties": {
    "databases": [
      "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server/databases/testdb-1",
      "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-secondary-server/databases/testdb-2"
    ],
    "partnerServers": [
      {
        "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server",
        "location": "Japan East",
        "replicationRole": "Secondary"
      }
    ],
    "readOnlyEndpoint": {
      "failoverPolicy": "Disabled",
      "targetServer": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server"
    },
    "readWriteEndpoint": {
      "failoverPolicy": "Automatic",
      "failoverWithDataLossGracePeriodMinutes": 120
    },
    "replicationRole": "Primary",
    "replicationState": "CATCH_UP"
  }
}
Location: /subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/japanwest/failoverGroupOperationResults/11111111-1111-1111-1111-111111111111

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FailoverGroup

A failover group.

FailoverGroupDatabasesSecondaryType

Databases secondary type on partner server.

FailoverGroupReadOnlyEndpoint

Read-only endpoint of the failover group instance.

FailoverGroupReadWriteEndpoint

Read-write endpoint of the failover group instance.

FailoverGroupReplicationRole

Local replication role of the failover group instance.

PartnerInfo

Partner server information for the failover group.

ReadOnlyEndpointFailoverPolicy

Failover policy of the read-only endpoint for the failover group.

ReadWriteEndpointFailoverPolicy

Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FailoverGroup

A failover group.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resource location.

name

string

The name of the resource

properties.databases

string[] (arm-id)

List of databases in the failover group.

properties.partnerServers

PartnerInfo[]

List of partner server information for the failover group.

properties.readOnlyEndpoint

FailoverGroupReadOnlyEndpoint

Read-only endpoint of the failover group instance.

properties.readWriteEndpoint

FailoverGroupReadWriteEndpoint

Read-write endpoint of the failover group instance.

properties.replicationRole

FailoverGroupReplicationRole

Local replication role of the failover group instance.

properties.replicationState

string

Replication state of the failover group instance.

properties.secondaryType

FailoverGroupDatabasesSecondaryType

Databases secondary type on partner server.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

FailoverGroupDatabasesSecondaryType

Databases secondary type on partner server.

Value Description
Geo

Geo

Standby

Standby

FailoverGroupReadOnlyEndpoint

Read-only endpoint of the failover group instance.

Name Type Description
failoverPolicy

ReadOnlyEndpointFailoverPolicy

Failover policy of the read-only endpoint for the failover group.

targetServer

string (arm-id)

The target partner server where the read-only endpoint points to.

FailoverGroupReadWriteEndpoint

Read-write endpoint of the failover group instance.

Name Type Description
failoverPolicy

ReadWriteEndpointFailoverPolicy

Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

failoverWithDataLossGracePeriodMinutes

integer (int32)

Grace period before failover with data loss is attempted for the read-write endpoint. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

FailoverGroupReplicationRole

Local replication role of the failover group instance.

Value Description
Primary

Primary

Secondary

Secondary

PartnerInfo

Partner server information for the failover group.

Name Type Description
id

string (arm-id)

Resource identifier of the partner server.

location

string

Geo location of the partner server.

replicationRole

FailoverGroupReplicationRole

Replication role of the partner server.

ReadOnlyEndpointFailoverPolicy

Failover policy of the read-only endpoint for the failover group.

Value Description
Disabled

Disabled

Enabled

Enabled

ReadWriteEndpointFailoverPolicy

Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

Value Description
Manual

Manual

Automatic

Automatic

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.